lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date: Thu, 3 Apr 2014 15:09:45 -0300
From: William Costa <william.costa@...il.com>
To: fulldisclosure@...lists.org
Subject: [FD] XSS Reflected vulnerabilities in OS of FortiADC v3.2
	(CVE-2014-0331)

I. VULNERABILITY

-------------------------

XSS Reflected vulnerabilities in OS of FortiADC v3.2



II. BACKGROUND

-------------------------

Fortinet's industry-leading, Network Security Platforms deliver Next
Generation Firewall (NGFW) security with exceptional throughput, ultra
low latency, and multi-vector threat protection.



III. DESCRIPTION

-------------------------

Has been detected a XSS Reflected vulnerability in FortiADC in
"/FortiADC/gui_partA/?locale=en" parameter "locale", that allows the
execution of arbitrary HTML/script code to be executed in the context
of the victim user's browser and/or Session Hijacking attack



IV. PROOF OF CONCEPT

-------------------------

The application does not validate the parameter filter in "
/FortiADC/gui_partA/?locale=en ".

https://IP_FortiADC/FortiADC/gui_partA/?locale=en"><https://IP_FortiADC/FortiADC/gui_partA/?locale=aaaa></script>
--><script>alert(document.cookie);</script>



 V. BUSINESS IMPACT

-------------------------

 That allows the execution attackers to hijack the authentication of
administrators.



VI. REQUIREMENTS

-----------------------

An Attacker needs to know the IP of the device.

An Administrator needs an authenticated connection to the device.



VII. SYSTEMS AFFECTED

-------------------------

FortiADC 3.2.0 and lower.


VIII. SOLUTION

-------------------------

Upgrade to FortiADC 3.2.1 or higher.

IX. References

-------------------------
http://www.fortiguard.com/advisory/FG-IR-14-004/

By William Costa.

_______________________________________________
Sent through the Full Disclosure mailing list
http://nmap.org/mailman/listinfo/fulldisclosure
Web Archives & RSS: http://seclists.org/fulldisclosure/

Powered by blists - more mailing lists